Skip to main content
GET
/
alpha
/
borrow
/
markets
/
{network}
/
{marketId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/markets/{network}/{marketId} \
  --header 'x-api-key: <api-key>'
{
  "market": {
    "marketId": "<string>",
    "name": "<string>",
    "network": {
      "name": "mainnet",
      "chainId": 123,
      "networkCaip": "<string>"
    },
    "protocol": {
      "name": "<string>",
      "product": "<string>",
      "version": "<string>"
    },
    "marketRootAddress": "<string>",
    "assetsData": [
      {
        "asset": {
          "address": "<string>",
          "assetCaip": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "assetGroup": "<string>",
          "oraclePriceUsd": 1,
          "assetLogo": "<string>",
          "assetPriceInUsd": "<string>"
        },
        "isCollateralEnabled": true,
        "supplyRate": 1,
        "borrowRate": 1,
        "utilizationRate": 1,
        "totalSupplied": {
          "native": "<string>",
          "usd": 1
        },
        "totalBorrowed": {
          "native": "<string>",
          "usd": 1
        },
        "availableLiquidity": {
          "native": "<string>",
          "usd": 1
        },
        "assetConfig": {
          "isBorrowEnabled": true,
          "borrowInterestFeeRate": 0.5,
          "borrowCap": "<string>",
          "supplyCap": "<string>"
        },
        "interestRateModel": {
          "model": "single-kink",
          "baseRate": 1,
          "optimalUtilization": 0.5,
          "slope1": 1,
          "slope2": 1
        },
        "defaultRiskParameters": {
          "maxLtv": 0.5,
          "liquidationThreshold": 0.5,
          "liquidationPenalty": 0.5
        },
        "pairwiseRiskParameters": {}
      }
    ],
    "pairs": [
      {
        "collateralAssetAddress": "<string>",
        "borrowAssetAddress": "<string>",
        "collateralEnabled": true,
        "borrowEnabled": true,
        "riskParameters": {
          "maxLtv": 0.5,
          "liquidationThreshold": 0.5,
          "liquidationPenalty": 0.5
        }
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
marketId
string
required

Canonical market identifier

Minimum string length: 1

Response

Default Response

market
object
required